<?php
    
class attr_passwd extends attr {

    function lPost() {
    	if ( $_POST[$this->attr_name] != "***" ) {
        	$this->obj->set($this->attr_name,md5($_POST[$this->attr_name]));
        }
    }  

    function render_input() {
		return '<input type="password" class="form-control" name="' . $this->attr_name.'" value="***">';    	
    }

    function render_text( $crop = false ) {
    	return '***';
    }


}

?>